<template>
  <q-card>
    <q-card-section>
      <q-btn icon="delete" color="red" @click="deleteCertificate" />
      <q-input label="Nama Sertifikat" v-model="certificate.certificate_name" @input="updateCertificate" />
      <q-input label="Nomor Sertifikat" v-model="certificate.certificate_number" @input="updateCertificate" />
      <q-input label="Instansi Pemberi" v-model="certificate.agency" @input="updateCertificate" />
      <q-input style="width: 30%" standout="bg-green text-white" filled type="date" hint="Tanggal sertifikat dikeluarkan " v-model="certificate.issue_date" @input="updateCertificate" />
      <q-file label="Upload File Sertifikat" v-model="certificate.image_certificate" @input="updateCertificate" />
    </q-card-section>
  </q-card>
</template>

<script>
export default {
  name: 'FormSertifikat',
  data () {
    return {
      certificate: {}
    }
  },
  mounted() {
    this.certificate = this.$attrs.certificate;
    this.certificate.index = this.$attrs.index;
  },

  methods: {
    deleteCertificate: function () {
      this.$emit("deleteCertificate");
    },
    updateCertificate: function () {
      this.$emit("updateCertificate", this.certificate)
    }
  }
}
</script>
